Bug 4421 - Should be possible to display location for bibs w/o items
Summary: Should be possible to display location for bibs w/o items
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: PC All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 14326
  Show dependency treegraph
 
Reported: 2010-04-28 05:23 UTC by Jared Camins
Modified: 2015-06-23 11:00 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (1/2) showing desired behavior (3.18 KB, patch)
2010-04-28 17:23 UTC, Chris Cormack
Details | Diff | Splinter Review
Patch (2/2) showing desired behavior (1.42 KB, patch)
2010-04-28 17:24 UTC, Chris Cormack
Details | Diff | Splinter Review
updated patch (29.99 KB, patch)
2011-03-28 16:33 UTC, Nicole C. Engard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:26:58 UTC


---- Reported by camins@numismatics.org 2010-04-28 17:23:32 ----

Created an attachment
Patch (1/2) showing desired behavior

Some libraries with lots of legacy data may prefer not to convert holdings fields directly into Koha item records (952). For such libraries, it should be possible to display (for example) "Location: General Stacks" instead of "No physical items for this record."



---- Additional Comments From camins@numismatics.org 2010-04-28 17:24:56 ----

Created an attachment
Patch (2/2) showing desired behavior

These two patches show the desired behavior for the American Numismatic Society. They would need to be made more general to be appropriate for inclusion in the Koha distribution.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:26 UTC  ---

This bug was previously known as _bug_ 4421 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4421
This bug blocked bug(s) 4483.
Imported an attachment (id=2086)
Imported an attachment (id=2087)

Unknown operating system Windows 2000. Setting to default OS "All".
Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2086 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2087 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Nicole C. Engard 2011-03-28 16:30:51 UTC
Signed off on patch 1
Comment 2 Jared Camins-Esakov 2011-03-28 16:31:47 UTC
The two original patches have been squashed and replaced by a single patch.
Comment 3 Nicole C. Engard 2011-03-28 16:33:58 UTC
Created attachment 3468 [details] [review]
updated patch
Comment 4 Chris Cormack 2011-04-01 18:21:22 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2011-05-30 13:39:54 UTC
One of our libraries has used this feature and it seems to be working as desired.